// Load dts shapes and merge animations
datablock TSShapeConstructor(KittyWildDts)
{
	baseShape  = "Add-ons/Player_Kitty/MESH/Kitty.dts";
	sequence0  = "Add-ons/Player_Kitty/MESH/c_root.dsq root";

	sequence1  = "Add-ons/Player_Kitty/MESH/c_run.dsq run";
	sequence2  = "Add-ons/Player_Kitty/MESH/c_run.dsq walk";
	sequence3  = "Add-ons/Player_Kitty/MESH/c_run.dsq back";
	sequence4  = "Add-ons/Player_Kitty/MESH/c_run.dsq side";

	sequence5  = "Add-ons/Player_Kitty/MESH/c_crouch.dsq crouch";
	sequence6  = "Add-ons/Player_Kitty/MESH/c_run.dsq crouchRun";
	sequence7  = "Add-ons/Player_Kitty/MESH/c_run.dsq crouchBack";
	sequence8  = "Add-ons/Player_Kitty/MESH/c_run.dsq crouchSide";

	sequence9  = "Add-ons/Player_Kitty/MESH/c_root.dsq look";
	sequence10 = "Add-ons/Player_Kitty/MESH/c_root.dsq headside";
	sequence11 = "Add-ons/Player_Kitty/MESH/c_root.dsq headUp";

	sequence12 = "Add-ons/Player_Kitty/MESH/c_jump.dsq jump";
	sequence13 = "Add-ons/Player_Kitty/MESH/c_jump.dsq standjump";
	sequence14 = "Add-ons/Player_Kitty/MESH/c_root.dsq fall";
	sequence15 = "Add-ons/Player_Kitty/MESH/c_root.dsq land";

	sequence16 = "Add-ons/Player_Kitty/MESH/c_activate.dsq armAttack";
	sequence17 = "Add-ons/Player_Kitty/MESH/c_root.dsq armReadyLeft";
	sequence18 = "Add-ons/Player_Kitty/MESH/c_root.dsq armReadyRight";
	sequence19 = "Add-ons/Player_Kitty/MESH/c_root.dsq armReadyBoth";
	sequence20 = "Add-ons/Player_Kitty/MESH/c_root.dsq spearready";  
	sequence21 = "Add-ons/Player_Kitty/MESH/c_root.dsq spearThrow";

	sequence22 = "Add-ons/Player_Kitty/MESH/c_jump.dsq talk";  

	sequence23 = "Add-ons/Player_Kitty/MESH/c_death.dsq death1"; 
	
	sequence24 = "Add-ons/Player_Kitty/MESH/c_root.dsq shiftUp";
	sequence25 = "Add-ons/Player_Kitty/MESH/c_root.dsq shiftDown";
	sequence26 = "Add-ons/Player_Kitty/MESH/c_root.dsq shiftAway";
	sequence27 = "Add-ons/Player_Kitty/MESH/c_root.dsq shiftTo";
	sequence28 = "Add-ons/Player_Kitty/MESH/c_root.dsq shiftLeft";
	sequence29 = "Add-ons/Player_Kitty/MESH/c_root.dsq shiftRight";
	sequence30 = "Add-ons/Player_Kitty/MESH/c_root.dsq rotCW";
	sequence31 = "Add-ons/Player_Kitty/MESH/c_root.dsq rotCCW";

	sequence32 = "Add-ons/Player_Kitty/MESH/c_root.dsq undo";
	sequence33 = "Add-ons/Player_Kitty/MESH/c_root.dsq plant";

	sequence34 = "Add-ons/Player_Kitty/MESH/c_sit.dsq sit";

	sequence35 = "Add-ons/Player_Kitty/MESH/c_root.dsq wrench";

   sequence36 = "Add-ons/Player_Kitty/MESH/c_activate.dsq activate";
   sequence37 = "Add-ons/Player_Kitty/MESH/c_root.dsq activate2";

   sequence38 = "Add-ons/Player_Kitty/MESH/c_root.dsq leftrecoil";
};    

datablock DebrisData( KittyWildDebris )
{
   explodeOnMaxBounce = false;

   elasticity = 0.15;
   friction = 0.5;

   lifetime = 4.0;
   lifetimeVariance = 0.0;

   minSpinSpeed = 40;
   maxSpinSpeed = 600;

   numBounces = 5;
   bounceVariance = 0;

   staticOnMaxBounce = true;
   gravModifier = 1.0;

   useRadiusMass = false;
   baseRadius = 1;

   velocity = 20.0;
   velocityVariance = 12.0;
};             

datablock PlayerData(KittyWildArmor)
{
   renderFirstPerson = false;
   emap = false;
   
   className = Armor;
   shapeFile = "Add-ons/Player_Kitty/MESH/Kitty.dts";
   cameraMaxDist = 7;
   cameraTilt = 0.17 * 1.7;//0.174 * 2.5; //~25 degrees
   cameraVerticalOffset = 0.7;
   computeCRC = false;
  
   canObserve = true;
   cmdCategory = "Clients";

   cameraDefaultFov = 110.0;
   cameraMinFov = 7.0;
   cameraMaxFov = 170.0;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5708;
   maxFreelookAngle = 3.0;

   mass = 60;
   drag = 0.1;
   maxdrag = 0.52;
   density = 0.7;
   maxDamage = 200;
   maxEnergy =  10;
   repairRate = 0.33;
   energyPerDamagePoint = 75.0;

   rechargeRate = 0.4;

   runForce = 40 * 80;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 8;
   maxBackwardSpeed = 6;
   maxSideSpeed = 4;

   maxForwardCrouchSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxSideCrouchSpeed = 0;

   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 6;
   maxBackwardWalkSpeed = 4;
   maxSideWalkSpeed = 2;

   maxUnderwaterForwardSpeed = 6;
   maxUnderwaterBackwardSpeed = 4;
   maxUnderwaterSideSpeed = 2;

   jumpForce = 8.2 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
   jetEnergyDrain = 0;
   canJet = 0;

   recoverDelay = 0;
   recoverRunForceScale = 1.2;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("0.8 0.8 0.8", 4); //"2.5 2.5 2.4";
   crouchBoundingBox	= vectorScale("0.8 0.8 0.8", 4); //"2.5 2.5 2.4";
   proneBoundingBox		= vectorScale("0.8 0.8 0.8", 4); //"2.5 2.5 2.4";

   pickupRadius = 0.75;
   
   // Damage location details
   boxNormalHeadPercentage       = 0.5;
   boxNormalTorsoPercentage      = 0.3;
   boxHeadLeftPercentage         = 0.5;
   boxHeadRightPercentage        = 0.5;
   boxHeadBackPercentage         = 0.5;
   boxHeadFrontPercentage        = 0.5;

   // Foot Prints
   //decalData   = HorseFootprint;
   //decalOffset = 0.25;
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;
  
   footPuffEmitter = HammerSmokeEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 65;
   jumpSurfaceAngle = 66;

   minJumpSpeed = 20;
   maxJumpSpeed = 30;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //Sounds

   JumpSound			= KittyCrySound;

   //FootSoftSound        = HorseFootFallSound;
   //FootHardSound        = HorseFootFallSound;
   //FootMetalSound       = HorseFootFallSound;
   //FootSnowSound        = HorseFootFallSound;
   //FootShallowSound     = HorseFootFallSound;
   //FootWadingSound      = HorseFootFallSound;
   //FootUnderwaterSound  = HorseFootFallSound;
   //FootBubblesSound     = FootLightBubblesSound;
   //movingBubblesSound   = ArmorMoveBubblesSound;
   //waterBreathSound     = WaterBreathMaleSound;

   //impactSoftSound      = ImpactLightSoftSound;
   //impactHardSound      = ImpactLightHardSound;
   //impactMetalSound     = ImpactLightMetalSound;
   //impactSnowSound      = ImpactLightSnowSound;
   
   impactWaterEasy      = Splash1Sound;
   impactWaterMedium    = Splash1Sound;
   impactWaterHard      = Splash1Sound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;
   
   observeParameters = "0.5 4.5 4.5";

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Kitty-Plain";
	rideable = false;
	lookUpLimit = 0.6;
	lookDownLimit = 0.2;

    numMountPoints = 0;

	canRide = true;
	showEnergyBar = false;
	paintable = true;

	brickImage = HorseBrickImage;	//the imageData to use for brick deployment

};