//------BL-KITTY-KAT-------//
//By: Gothboy77 BLID 14329
//    ,^-----^,
//    [,^_v_^,]
//    |   W   |
//     \-----/
//-----------------------//
//Sound
datablock AudioProfile(KittyCrySound)
{
	filename = "./SFX/KittyCry.wav";
	description = AudioClosest3d;
	preload = true;
};
datablock AudioProfile(ScoopHitSound)
{
   filename    = "./SFX/Scoop.wav";
   description = AudioClosest3d;
   preload = true;
};
//Food and Litter Bag
datablock fxDTSBrickData(BrickKatPackPrintData)
{
	brickFile = "./MESH/KatPack.blb";
	category = "Special";
	subCategory = "Kat Stuff";
	uiName = "Kat Pack";
	iconName = "Add-Ons/Player_Kitty/IMG/Icon_KatPack";
	hasPrint = 1;
	orientationFix = 3;
	printAspectRatio = "2x2f";
};
//Small Food Dish
datablock fxDTSBrickData ( KatSmallDishEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatSmallDish0.blb";
	uiName = "Small Food Dish";
	isDoor = 1;
	isOpen = 1;
	closedCW = "KatSmallDishFullCWData";
	openCW = "KatSmallDishEmptyCWData";
	closedCCW = "KatSmallDishFullCWData";
	openCCW = "KatSmallDishHalfCCWData";
	orientationFix = 1;
};
datablock fxDTSBrickData ( KatSmallDishFullCWData : KatSmallDishEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatSmallDish2.blb";
	category = "Special";
	subCategory = "Kat Stuff";
	iconName = "Add-Ons/Player_Kitty/IMG/Icon_KatDish";
	isOpen = 0;
};
datablock fxDTSBrickData ( KatSmallDishHalfCCWData : KatSmallDishEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatSmallDish1.blb";
	isOpen = 1;
};
//Big Food Dish
datablock fxDTSBrickData ( KatBigDishEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatBigDish0.blb";
	uiName = "Big Food Dish";
	isDoor = 1;
	isOpen = 1;
	closedCW = "KatBigDishFullCWData";
	openCW = "KatBigDishEmptyCWData";
	closedCCW = "KatBigDishFullCWData";
	openCCW = "KatBigDishHalfCCWData";
	orientationFix = 1;
};
datablock fxDTSBrickData ( KatBigDishFullCWData : KatBigDishEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatBigDish2.blb";
	category = "Special";
	subCategory = "Kat Stuff";
	iconName = "Add-Ons/Player_Kitty/IMG/Icon_KatDishB";
	isOpen = 0;
};
datablock fxDTSBrickData ( KatBigDishHalfCCWData : KatBigDishEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatBigDish1.blb";
	isOpen = 1;
};
//Poo Box
datablock fxDTSBrickData ( KatLitterboxEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatBox0.blb";
	uiName = "Litter-box";
	isDoor = 1;
	isOpen = 1;
	closedCW = "KatLitterboxFullCWData";
	openCW = "KatLitterboxEmptyCWData";
	closedCCW = "KatLitterboxFullCWData";
	openCCW = "KatLitterboxHalfCCWData";
	orientationFix = 1;
};
datablock fxDTSBrickData ( KatLitterboxFullCWData : KatLitterboxEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatBox2.blb";
	category = "Special";
	subCategory = "Kat Stuff";
	iconName = "Add-Ons/Player_Kitty/IMG/Icon_Katbox";
	isOpen = 0;
};
datablock fxDTSBrickData ( KatLitterboxHalfCCWData : KatLitterboxEmptyCWData )
{
	brickFile = "Add-ons/Player_Kitty/MESH/KatBox1.blb";
	isOpen = 1;
};
//Exec Kat Stuff
exec("./CODE/Item_PooScoop.cs");
exec("./CODE/Player_KittyWild.cs");